Subject: Re: linux-next: build failure after merge of the device-mapper tree

From: Mike Snitzer <[email-masked]>
Date: Fri, 9 Jun 2017 07:59:05 -0400

On Fri, Jun 09 2017 at 12:28am -0400,
Damien Le Moal <[email-masked]> wrote:

> Stephen,
> 
> On 6/9/17 12:12, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the device-mapper tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/md/dm-zoned-target.c:947:2: error: unknown field 'suspend' specified in initializer
> >   .suspend  = dmz_suspend,
> >   ^
> > drivers/md/dm-zoned-target.c:947:14: error: initialization from incompatible pointer type [-Werror=incompatible-pointer-types]
> >   .suspend  = dmz_suspend,
> >               ^
> > 
> > Caused by commit
> > 
> >   02da2e15e81f ("dm zoned: drive-managed zoned block device target")
> > 
> > I have used the device-mapper tree from next-20170608 for today.
> 
> My apologies for that. My mistake.
> I just posted a patch to dm-devel to fix this.
> Everything should come in order after Mike's review.

I'm to blame for the above issue.  I've now fixed it up.